E-MailRelay

Public Types | Public Member Functions | List of all members
GNet::EventHandlerListImp::fdless Struct Reference

A functor that compares two file descriptors. More...

## Public Types
using | Value = GNet::EventHandlerList::Value

## Public Member Functions
bool | operator() (const Value &p1, const Value &p2) noexcept

## Detailed Description

A functor that compares two file descriptors.

Definition at line 33 of file geventhandlerlist.cpp.

## Member Typedef Documentation

## ◆ Value

using GNet::EventHandlerListImp::fdless::Value = GNet::EventHandlerList::Value

Definition at line 35 of file geventhandlerlist.cpp.

## Member Function Documentation

## ◆ operator()()

bool GNet::EventHandlerListImp::fdless::operator() | ( | const Value & | p1,
|  | const Value & | p2
| ) |  |
| inline noexcept

Definition at line 36 of file geventhandlerlist.cpp.

The documentation for this struct was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/geventhandlerlist.cpp